/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class DirectRedeemVipMemberByMobileHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DirectRedeemVipMemberByMobileRequest extends $tea.Model {
    bizRequestId?: string;
    channel?: string;
    dingtalkId?: string;
    duration?: number;
    mobile?: string;
    uuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DirectRedeemVipMemberByMobileResponseBody extends $tea.Model {
    bizRequestId?: string;
    errorCode?: string;
    errorMsg?: string;
    result?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DirectRedeemVipMemberByMobileResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DirectRedeemVipMemberByMobileResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InvalidRedeemVipMemberByBizRequestIdHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InvalidRedeemVipMemberByBizRequestIdRequest extends $tea.Model {
    bizRequestId?: string;
    channel?: string;
    dingtalkId?: string;
    duration?: number;
    mobile?: string;
    uuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InvalidRedeemVipMemberByBizRequestIdResponseBody extends $tea.Model {
    bizRequestId?: string;
    errorCode?: string;
    errorMsg?: string;
    result?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class InvalidRedeemVipMemberByBizRequestIdResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: InvalidRedeemVipMemberByBizRequestIdResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryRedeemVipMemberHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryRedeemVipMemberRequest extends $tea.Model {
    bizRequestId?: string;
    channel?: string;
    dingtalkId?: string;
    duration?: number;
    mobile?: string;
    uuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryRedeemVipMemberResponseBody extends $tea.Model {
    errorCode?: string;
    errorMsg?: string;
    queryResults?: QueryRedeemVipMemberResponseBodyQueryResults[];
    result?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryRedeemVipMemberResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryRedeemVipMemberResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryVipMemberInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryVipMemberInfoRequest extends $tea.Model {
    channelCode?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryVipMemberInfoResponseBody extends $tea.Model {
    expireTime?: string;
    isVip?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryVipMemberInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryVipMemberInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryRedeemVipMemberResponseBodyQueryResults extends $tea.Model {
    action?: string;
    actionTime?: string;
    dingtalkId?: string;
    duration?: number;
    nick?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 通过手机号直充365会员
     *
     * @param request - DirectRedeemVipMemberByMobileRequest
     * @param headers - DirectRedeemVipMemberByMobileHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DirectRedeemVipMemberByMobileResponse
     */
    directRedeemVipMemberByMobileWithOptions(request: DirectRedeemVipMemberByMobileRequest, headers: DirectRedeemVipMemberByMobileHeaders, runtime: $Util.RuntimeOptions): Promise<DirectRedeemVipMemberByMobileResponse>;
    /**
     * 通过手机号直充365会员
     *
     * @param request - DirectRedeemVipMemberByMobileRequest
     * @returns DirectRedeemVipMemberByMobileResponse
     */
    directRedeemVipMemberByMobile(request: DirectRedeemVipMemberByMobileRequest): Promise<DirectRedeemVipMemberByMobileResponse>;
    /**
     * 通过虚拟订单号作废365会员权益
     *
     * @param request - InvalidRedeemVipMemberByBizRequestIdRequest
     * @param headers - InvalidRedeemVipMemberByBizRequestIdHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns InvalidRedeemVipMemberByBizRequestIdResponse
     */
    invalidRedeemVipMemberByBizRequestIdWithOptions(request: InvalidRedeemVipMemberByBizRequestIdRequest, headers: InvalidRedeemVipMemberByBizRequestIdHeaders, runtime: $Util.RuntimeOptions): Promise<InvalidRedeemVipMemberByBizRequestIdResponse>;
    /**
     * 通过虚拟订单号作废365会员权益
     *
     * @param request - InvalidRedeemVipMemberByBizRequestIdRequest
     * @returns InvalidRedeemVipMemberByBizRequestIdResponse
     */
    invalidRedeemVipMemberByBizRequestId(request: InvalidRedeemVipMemberByBizRequestIdRequest): Promise<InvalidRedeemVipMemberByBizRequestIdResponse>;
    /**
     * 查询365会员直充信息
     *
     * @param request - QueryRedeemVipMemberRequest
     * @param headers - QueryRedeemVipMemberHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryRedeemVipMemberResponse
     */
    queryRedeemVipMemberWithOptions(request: QueryRedeemVipMemberRequest, headers: QueryRedeemVipMemberHeaders, runtime: $Util.RuntimeOptions): Promise<QueryRedeemVipMemberResponse>;
    /**
     * 查询365会员直充信息
     *
     * @param request - QueryRedeemVipMemberRequest
     * @returns QueryRedeemVipMemberResponse
     */
    queryRedeemVipMember(request: QueryRedeemVipMemberRequest): Promise<QueryRedeemVipMemberResponse>;
    /**
     * 查询365会员信息
     *
     * @param request - QueryVipMemberInfoRequest
     * @param headers - QueryVipMemberInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryVipMemberInfoResponse
     */
    queryVipMemberInfoWithOptions(request: QueryVipMemberInfoRequest, headers: QueryVipMemberInfoHeaders, runtime: $Util.RuntimeOptions): Promise<QueryVipMemberInfoResponse>;
    /**
     * 查询365会员信息
     *
     * @param request - QueryVipMemberInfoRequest
     * @returns QueryVipMemberInfoResponse
     */
    queryVipMemberInfo(request: QueryVipMemberInfoRequest): Promise<QueryVipMemberInfoResponse>;
}
